QGIS Application - Bug report #4166
New labelling does not display some labels
2011-08-12 09:37 AM - James Stott

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 14143
Description

There have been two threads on QGIS in the last two weeks with people having problems with labels not showing using the new labelling
tool. See

http://gis.stackexchange.com/questions/12758/when-labelling-polygons-not-all-labels-are-displayed-qgis-1-7-0

http://gis.stackexchange.com/questions/13518/how-to-move-labels-in-qgis-using-the-old-labelling-method

In my case (the 2nd link) | have 2 or 3 polygons that refuse to show labels, even when | set Show All Labels in the Engine settings. They
show using the old labelling method.

I am using QGIS 1.8 on Windows XP. | can supply sample if needed.

History

#1 - 2011-08-14 03:40 PM - Martin Dobias

Please provide some sample data. Maybe some of the polygons do not have a valid geometry and the labeling fails for them.

#2 - 2011-08-15 12:53 AM - James Stott

The problem is exactly that. | ran the check geometry validity tool and it found two errors. | fixed these, and the labels show.

#3 - 2011-08-15 03:21 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Open to Closed
